Bug 115915 - After building/installing kernel_modules, card services won't load
After building/installing kernel_modules, card services won't load
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 19:54 EST by Dave Strauss
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 02:56:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Strauss 2004-02-16 19:54:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When I build the kernel and kernel_modules, then install the
kernel_modules, then reboot, card services doesn't load.  I get
the following error message during boot:

Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
ds: no socket drivers loaded!
unloading Kernel Card Services

kernel is kernel-2.4.22-1.2166.nptl
kernel-source is kernel-source-2.4.22-1.2166.nptl


Version-Release number of selected component (if applicable):
kernel-pcmcia-cs-3.1.31-13

How reproducible:
Always

Steps to Reproduce:
1.Edit Makefile, to change EXTRAVERSION from -1.2166.nptlcustom to
-1.2166.nptl 
2. make mrproper
3. cp configs/kernel-2.4.22-i686.config .config
4. make xconfig; make dep; make bzImage; make modules
5. make modules_install
6. reboot

    

Actual Results:  PCMCIA doesn't work, and dmesg has the error message
"no socket drivers loaded"


Expected Results:  PCMCIA should work.

Additional info:

note that the kernel/kernel-modules as shipped work properly.
Comment 1 Bill Nottingham 2004-09-08 02:56:43 EDT
This was fixed in the errata pcmcia-cs, AFAIR.

Note You need to log in before you can comment on or make changes to this bug.